Subject: bug#5944 closed by Jim Meyering <[email-masked]> (Re: bug#5944: sort with option +4nr does not work now and it used to do it some time ago)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Apr 2010 10:25:02 +0000

This is an automatic notification regarding your bug report
which was filed against the coreutils package:

#5944: sort with option +4nr does not work now and it used to do it some time ago

It has been closed by Jim Meyering <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jim Meyering <[email-masked]> by
replying to this email.

-- 
5944: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5944
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5944: sort with option +4nr does not work now and it used to do it some time ago
From: Jim Meyering <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked], "Martinez, Abel" <[email-masked]>
Date: Thu, 15 Apr 2010 12:24:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Blake wrote:
> On 04/14/2010 02:13 AM, Martinez, Abel wrote:
>> Hi CoreUtil/SORT developer team:
>>
>> Long time ago I used cygwing to sort file's content by the text
>> available on its 4th column in reverse order (under bash) using ___$sort
>> +4nr file.txt____ .
>>
>> I have tried now same function with the latest cygwing and coreutils
>> sorting package (sort.exe 19-March-2010) and with those options does not
>> work; It says:
>> 	$ sort +4nr ACCESS.txt
>> 	sort: open failed: +4nr: No such file or directory
>
> Not a bug, but a difference in the level of POSIX compliance.  Older
> cygwin defaulted to the 1992 version of POSIX, while newer cygwin
> defaults to 2001.  Per the NEWS file:

Thanks for replying, Eric.
With this message, I'm inserting "-close" into the default Cc'd address
of [email-masked], making it "[email-masked]".
That moves the thread in our bug tracker,

    http://debbugs.gnu.org/coreutils

from "Outstanding Issues" to the "Resolved Bugs" category:

Subject: sort with option +4nr does not work now and it used to do it some time ago
From: "Martinez, Abel" <[email-masked]>
To: <[email-masked]>
Date: Wed, 14 Apr 2010 09:13:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi CoreUtil/SORT developer team:

Long time ago I used cygwing to sort file's content by the text
available on its 4th column in reverse order (under bash) using ___$sort
+4nr file.txt____ .

I have tried now same function with the latest cygwing and coreutils
sorting package (sort.exe 19-March-2010) and with those options does not
work; It says:
	$ sort +4nr ACCESS.txt
	sort: open failed: +4nr: No such file or directory

(I don't have the info on what old version was working fine, sorry)

Thanks in advance for really grate product

***********************************************
Abel Martinez    SONY    PSE Madrid Spain 
Ph: +34 91 536 57 66
mailto:[email-masked]
***********************************************

************************************************************************
The information contained in this message or any of its attachments may be confidential and is intended for the exclusive use of the addressee(s).  Any disclosure, reproduction, distribution or other dissemination or use of this communication is strictly prohibited without the express permission of the sender.  The views expressed in this email are those of the individual and not necessarily those of Sony or Sony affiliated companies.  Sony email is for business use only.

This email and any response may be monitored by Sony to be in compliance with Sony's global policies and standards